precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform float progress;
vec2 pos;

//暗角
//褪色
vec4 getFade(vec4 source) {
    vec3 c = vec3(0.5);
    float progress = 1.0 - progress / 100.0 / 2.0;
    vec3 cha = source.rgb - c;
    cha *= progress;
    cha += c;
    return vec4(cha, source.a);
}



void main() {
    pos = textureCoordinate / 1.0;
    vec4 color = texture2D(inputImageTexture, pos);
    gl_FragColor = getFade(color);
//    gl_FragColor=vec4(color.a);
}
