precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform float progress;
vec2 pos;

float Rand(vec2 v) {
    return fract(sin(dot(v.xy, vec2(12.9898, 78.233))) * 43758.5453);
}
//颗粒
vec4 getgrain(vec4 source) {
    //    0-0.5
    //    float pro = valueuse / 200.0;
    //    //    0.25-0.75
    //    float random = (0.25 + Rand(pos) / 2.0);
    //    vec3 color = mix(source.rgb,vec3(random), pro);

    float pro = progress / 100.0 / 2.0;
    //    1-1.5;
    float random = Rand(pos) + 0.5;
    random = (random - 1.0) * pro + 1.0;
    vec3 color = source.rgb * random;
    return vec4(color, source.a);
}



void main() {
    pos = textureCoordinate / 1.0;
    vec4 color = texture2D(inputImageTexture, pos);
    color = getgrain(color);
    gl_FragColor = color;
//    gl_FragColor=vec4(1.0);
}
