varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform lowp float mixturePercent;



void main() {
    highp vec4 c1 = texture2D(inputImageTexture, textureCoordinate);
    if (c1.a > 0.01) {
        c1.rgb /= c1.a;
        c1.a=1.0;
    } else {
        c1 = vec4(0.0);
    }
    gl_FragColor = c1;
}



