//https://www.shadertoy.com/view/lctSzl
precision highp float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform float progress;
uniform float ratio;



void main()
{


    vec2 uv = textureCoordinate;
    vec4 oldcolor = texture2D(inputImageTexture, uv);
    if (oldcolor.a < 0.1) {
        gl_FragColor = vec4(1.0);
        return;
    }
    vec2 num = vec2(40.0);
    if (ratio > 1.0) {
        num.x *= ratio;
    } else {
        num.y /= ratio;
    }
    uv *= num;
    vec2 pos2 = fract(uv);
    pos2 -= vec2(0.5);


    vec2 newpos = textureCoordinate + (pos2 * 0.1);
    gl_FragColor = texture2D(inputImageTexture, newpos);

}
